package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.EnterpriseChangeRnrPersonDTO;
import com.cusc.nirvana.user.rnr.fp.dto.EnterpriseH5CallBackRequestDTO;
import com.cusc.nirvana.user.rnr.fp.dto.EnterpriseRnrPersonNameReqDTO;
import com.cusc.nirvana.user.rnr.fp.dto.EnterpriseRnrPersonNameResponseDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;

import java.util.List;

public interface IEnterpriseRnrService {

    /**
     * Description: 企业实名认证
     * <br />
     * CreateDate 2022-05-07 21:13:18
     *
     * @author yuyi
     **/
    Response enterpriseRnr(RnrRelationDTO dto,String requestId);

    /**
     * Description: 企业实名认证-后续，直接通过
     * <br />
     * CreateDate 2022-05-07 21:13:18
     *
     * @author yuyi
     **/
    Response enterpriseRnrFollowUp(RnrRelationDTO dto);

    Response uploadSecondaryEnterprise(RnrRelationDTO dto);

	List<EnterpriseRnrPersonNameResponseDTO> queryEnterpriseRnrPersonName(EnterpriseRnrPersonNameReqDTO dto);

	void changeEnterpriseRnrPerson(String serialNumber, String requestId, EnterpriseChangeRnrPersonDTO dto);

    void changeEnterpriseRnrPersonNoSms(String serialNumber, String requestId, EnterpriseChangeRnrPersonDTO dto);

	void submitH5(RnrRelationDTO rnrRelationDTO);

	Integer personH5CallBack(EnterpriseH5CallBackRequestDTO dto);
}
